Subject: Re: What's cooking in git.git (Mar 2014, #03; Fri, 14)

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Mar 2014 11:53:06 -0700

Max Horn <[email-masked]> writes:

> So, one more silly (bikeshedding) question: should I do this as one big
> patch adding multiple xfail tests - or one commit per test, with perhaps a
> brief description of the issue at hand? Or should a code comment next to
> the failing test explain things?

Judging from the next paragraph, one patch per issue sounds like a
good organization to help those who would want to fix these issues.

> Actually, some of those bugs might require a lengthy background
> explanation, so yet another variant would be to write an email here
> With an explanation, then add a gmane ref to the commit message...

Please first try to find a way that does not need any external
references---not everybody is always online.  A two-page description
in the log message for a new five-line test_expect_fail piece is
perfectly fine.